# Generated by Django 4.0.7 on 2022-08-09 12:09

from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import wagtail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailimages', '0024_index_image_file_hash'),
        ('wagtailcore', '0069_log_entry_jsonfield'),
    ]

    operations = [
        migrations.CreateModel(
            name='CompanySetting',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Partner name can be personal or company name.', max_length=255, verbose_name='name')),
                ('description', wagtail.fields.RichTextField(blank=True, help_text='Describe your partner.', null=True, verbose_name='description')),
                ('address', models.TextField(blank=True, null=True, verbose_name='address line')),
                ('google_map', models.TextField(blank=True, null=True, verbose_name='Google Map url')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='email')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid phone number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='phone')),
                ('whatsapp', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid whatsapp number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='whatsapp')),
                ('facebook', models.CharField(blank=True, max_length=125, null=True, verbose_name='facebook')),
                ('instagram', models.CharField(blank=True, max_length=125, null=True, verbose_name='instagram')),
                ('youtube', models.CharField(blank=True, max_length=125, null=True, verbose_name='youtube')),
                ('twitter', models.CharField(blank=True, max_length=125, null=True, verbose_name='twitter')),
                ('logo', models.ForeignKey(blank=True, help_text='Company logo or photo profile.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='logo')),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.site')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
